Show / Hide Table of Contents

# Struct AgentInventoryContext

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI.Agent

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct AgentInventoryContext

### Fields

| Improve this Doc View Source

#### Actions

##### Declaration

    public byte Actions

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### AgentContextInterface

##### Declaration

    public AgentContextInterface AgentContextInterface

##### Field Value

Type | Description
--- | ---
AgentContextInterface |

| Improve this Doc View Source

#### AgentInterface

##### Declaration

    public AgentInterface AgentInterface

##### Field Value

Type | Description
--- | ---
AgentInterface |

| Improve this Doc View Source

#### AtkValues

##### Declaration

    public AtkValue AtkValues

##### Field Value

Type | Description
--- | ---
AtkValue |

| Improve this Doc View Source

#### ContextMenuItemCount

##### Declaration

    public uint ContextMenuItemCount

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### FirstContextMenuItemAtkValueIndex

##### Declaration

    public uint FirstContextMenuItemAtkValueIndex

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### InventoryItemCount

##### Declaration

    public uint InventoryItemCount

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### InventoryItemId

##### Declaration

    public uint InventoryItemId

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### InventoryItemIsHighQuality

##### Declaration

    public bool InventoryItemIsHighQuality

##### Field Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### PositionX

##### Declaration

    public uint PositionX

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### PositionY

##### Declaration

    public uint PositionY

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### UnkFlags

##### Declaration

    public uint UnkFlags

##### Field Value

Type | Description
--- | ---
System.UInt32 |

### Methods

| Improve this Doc View Source

#### Instance()

##### Declaration

    public static AgentInventoryContext*Instance()

##### Returns

Type | Description
--- | ---
AgentInventoryContext* |